# Uses of Class
it.tdlight.jni.TdApi.ShippingOption

## Uses of TdApi.ShippingOption in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ShippingOption
Modifier and Type
Field
Description
`TdApi.ShippingOption`
TdApi.PaymentReceipt.`shippingOption`
Chosen shipping option; may be null.
`TdApi.ShippingOption[]`
TdApi.AnswerShippingQuery.`shippingOptions`
Available shipping options.
`TdApi.ShippingOption[]`
TdApi.ValidatedOrderInfo.`shippingOptions`
Available shipping options.
Constructors in it.tdlight.jni with parameters of type TdApi.ShippingOption
Modifier
Constructor
Description
``
`AnswerShippingQuery(long shippingQueryId, TdApi.ShippingOption[] shippingOptions, String errorMessage)`
Sets the result of a shipping query; for bots only.
``
`PaymentReceipt(String title, TdApi.FormattedText description, TdApi.Photo photo, int date, long sellerBotUserId, long paymentProviderUserId, TdApi.Invoice invoice, TdApi.OrderInfo orderInfo, TdApi.ShippingOption shippingOption, String credentialsTitle, long tipAmount)`
Contains information about a successful payment.
``
`ValidatedOrderInfo(String orderInfoId, TdApi.ShippingOption[] shippingOptions)`
Contains a temporary identifier of validated order information, which is stored for one hour, and the available shipping options.